GET
/v1/access-requestsbetaauthenticatedworkspace
When to use
Show your requests or requests you are authorized to review.
For agents
Use view review for authorized administrators. Resource administrators must filter by resourceId. Hosted app sessions can only list their own requests for that app.
Example
import { PermuteClient } from '@permute/sdk';
const orgClient = new PermuteClient({
apiKey: process.env.PERMUTE_API_KEY!,
});
const client = orgClient.withWorkspace(process.env.PERMUTE_WORKSPACE_ID!);
const result = await client.accessRequests.list({ view: 'mine' });Response
{
"data": {
"items": [
{
"id": "task_abcdefghijklmnopqrstuvwx",
"resourceId": "dbas_abcdefghijklmnopqrstuvwx",
"resourceType": "database",
"principalType": "apiKey",
"principalId": "apikey_example",
"level": "read",
"reason": "Read customer accounts for support.",
"status": "pending",
"createdAt": "2026-10-27T12:00:00.000Z",
"expiresAt": "2026-11-03T12:00:00.000Z"
}
],
"nextCursor": null
}
}